# Posibles problemas de seguridad que puede sufrir un sistema informático empresarial. Mecanismos para eliminar o reducir las consecuencias
La seguridad es un proceso que nunca termina, los riesgos siempre van a existir. No obstante, esto riegos se pueden gestionar y como no son únicamente problemas tecnológicos no siempre se pueden eliminar por completo.

Para tener unas buenas prácticas en seguridad se suelen seguir los pasos de planificar, hacer, verificar y actuar. De esta forma tenemos un control de las actividades que se están llevando a cabo para corregir los fallos de seguridad a cualquier nivel. HAciendo que este proceso nunca acabe, se entra en una dinámica de mejoras continuas, lo que incrementa la capacidad de nuestro sistema frente a problemas de seguridad.

Generalmente, un sistema informático es seguro o fiable si se garantiza la confidencialidad (la información se accede mediante autorización y de forma controlada), integridad (las modificaciones de la información son con autorización) y disponibilidad (la información del sistema informático es accesible previa autorización).

La confidencialidad previene la divulgación no autorizada de la información, un mecanismo de defensa es el uso de la criptografía, de esta forma se cifra o encripta la información y datos siendo incomprensible por un usuario sin permisos de acceso.

La integridad hace referencia a la fidelidad de la información o recursos y previene de cambios y modificaciones no autorizados siendo muy importante tener un buen nivel de integridad en el volumen de datos propio y en el origen o fuente de estos. Un mecanismo de defensa frente a este problema es verificar la autenticidad de los datos, sobretodo cuando la fuente de estos es externa a nosotros.

La disponibilidad previene de interrupciones no controlada o no autorizadas en los recursos de nuestro sistema informático. Una medida de prevención es tener posibilidad de levantar el proceso o sistema afectado desde otra ubicación con la backup correspondiente para seguir dando el servicio mientras se aplican las medidas correctivas.

La seguridad consiste en equilibrar estos 3 factores y dependiendo del entorno y especificaciones del sistema se optará por priorizar uno u otro, siempre y cuando se garanticen los 3.

## Vulnerabilidad en los sistemas informáticos.
Los problemas de seguridad vienen derivados de las vulnerabilidades, estos problemas afectan a los activos de dicho sistema informático y son estos los que hay que proteger. Estos recursos informáticos son el Hardware, software, datos y otros (personas, material, etc).
El activo más crítico de todos ellos son los datos de una empresa, ya que el resto puede reponerse con mayor o menor facilidad, sin embargo los datos dependen de la política de copias de seguridad establecida. Y en caso de perderlos poder ponerlos al estado más cercano en el que se produjo la pérdida. Esto puede llegar a ser excesivamente dificultoso o imposible por lo que se pierde tiempo y dinero.

Una vulnerabilidad es es una debilidad que compromete la seguridad de nuestro sistema informático, Estas vulnerabilidades se pueden agrupar en:

Diseño: Políticas de seguridad deficientes o inexistentes o mal diseño de protocolos utilizados en redes.
Implementación: Errores de programación, existencia de “puertas traseras”, errores de los fabricantes de los componentes.
Uso: Mala configuración del sistema informático, desconocimiento de los usuarios, disponibilidad de herramientas que faciliten ataques.
Desconocidas: Aquellas que se sabe cómo explotar y no existe una solución conocida.
Conocidas: Desbordamiento de buffer, desbordamiento de buffer, Cross Site Scripting, denegación de servicio, ventanas engañosas.

## Amenazas en los sistemas informáticos.
Cuando la seguridad de un sistema informático se ve comprometida es a causa de la existencia de una amenaza que afecta a una vulnerabilidad, como ya hemos visto. De esta forma cuando un sistema informático tiene una vulnerabilidad y existe una amenaza, puede darse el caso de que produzca un problema de seguridad quedando el sistema en riesgo y causando daños.

Estas amenazas pueden ser de dos tipos, lógicas o físicas y ambas las suelen ocasionar las propias personas, programas dedicados a ellas o catástrofes naturales. Además, todas estas amenazas pueden ser ocasionadas por causas naturales, por agentes externos o internos y todas ellas tienen una intención definida; o son accidentes, o errores o tienen un fin malicioso.

Normalmente, estas amenazas afectan a la Integridad, disponibilidad o integridad del sistema informático según del tipo que sea.

Dentro de las amenazas físicas encontramos: Acceso físico al recurso, captación de radiación electromagnéticas, desastres naturales y desastres de entorno. Por otro lado tenemos las amenazas lógicas: Software incorrecto, exploits,  herramientas de seguridad, Ppuertas traseras, bombas lógicas, virus,  gusanos, caballos de Troya, spyware,  adware, spoofing, phishing, spam, programas conejo o bacterias y técnicas salami.

## Soluciones y herramientas para los problemas de seguridad en los sistemas informáticos.

De forma general, para preservar la integridad, confiabilidad y disponibilidad, se establecen mecanismos de autenticación, autorización, administración, auditorías y mantenimiento de la integridad.

La autenticación es la verificación de la identidad del usuario al entrar al sistema. Estas identificaciones pueden ser de ter formas, por lo que uno sabe (usuario y contraseña), por lo que uno tiene (tarjetas de identificación) o por lo que uno es (huellas dactilares, ojos, adn, etc.). El método más habitual para acreditar el acceso al sistema es mediante lo que uno sabe, utilizando contraseñas. Obviamente este método depende de las características de la contraseña y como es tratada. Para el correcto uso de este método es casi imprescindible tener mas de 8 dígitos de contraseña, que no sea una palabra real y usar caracteres especial, no solo número y letras, además de no guardarla nunca y por supuesto no compartirla con nadie.

La autorización es que ha hecho, como lo ha hecho y cuando lo ha hecho un usuario ya identificado a algún recurso. Obviamente la autorización depende del recurso o información a la que se quiere acceder, no todos los datos son igual de críticos. El mecanismo utilizado es agrupar por niveles los recursos e información y otorgar el acceso a grupos específicos de usuarios bien definidos. Es necesario registrar las autorizaciones a accesos a recursos para controlar que se ha hecho y por quien, además de asegurar la confidencialidad e integridad en el caso de los datos dando o negando el acceso a lecturas, creaciones, borrados o modificaciones de estos.

La administración es la que define cómo se establece, se mantiene y se eliminan las autorizaciones y relaciones de los usuarios, recursos y datos del sistema. Aquí se establecen las políticas de seguridad de la organización y del sistema. Esta tarea siempre está desarrollándose y evolucionando a medida que cambian las tecnologías y riesgos inherentes a ellas. Para actuar ante estos fallos tenemos soluciones como las que emplean en los sistemas operativos, software externo y específico para cada situación módulos específicos de administración de la seguridad que vienen con el propio sistema operativo.

La auditoría es el proceso que se encarga de controlar y monitorear continuamente (según lo crítica que sea la información y el nivel de riesgo que conlleva) que los servicios se llevan a cabo correctamente, de forma que se obtenga información y se pueda analizar. Aquí se verifican las técnicas de autentificación y autorización utilizadas realizan su labor correctamente según las políticas de seguridad de la organización y del sistema informático. 

El mantenimiento de la integridad es el conjunto de procedimientos que se establecen para controlar y evitar que la información y datos sufran cambios no autorizados o sea enviada a puntos de destinos alterados. Las técnicas más utilizadas para mantener y controlar la integridad de los datos son los antivirus, la encriptación y el uso de hash. 

Para proteger el sistema informático lo primero es analizar las posibles amenazas que este puede sufrir, estimar las pérdidas que podrían causar y obtener razonadamente la probabilidad de que ocurra. Seguidamente, se establecen las responsabilidades y reglas para evitar las amenazas o minimizar los efectos si estas llegasen a ocurrir.

La política de seguridad debe mostrar el posicionamiento de la organización en relación a la seguridad y servir de base para desarrollar procesos concretos de seguridad. También, contienen claramente la prácticas adoptadas por la compañía, siendo revisadas y actualizadas constantemente. La política de seguridad es la base para desarrollar las normas y más tarde los procedimientos de seguridad que realizarán las actividades. 

El objetivo de la Política de Seguridad de Información de una organización es, por un lado, mostrar el posicionamiento de la organización con relación a la seguridad, y por otro lado servir de base para desarrollar los procedimientos concretos de seguridad.
La empresa debe disponer de un documento formalmente elaborado sobre el tema y que debe ser divulgado entre todos los empleados.
No es necesario un gran nivel de detalle, pero tampoco ha de quedar como una declaración de intenciones. Lo más importante para que estas surtan efecto es lograr la concienciación, entendimiento y compromiso de todos los involucrados.
Las políticas deben contener claramente las practicas que serán adoptadas por la compañía. Y estas políticas deben ser revisadas, y si es necesario actualizadas, periódicamente definiendo los objetivos de seguridad y las medidas que deben implementarse para tener la certeza de alcanzar estos objetivos.

La política de seguridad es implementada a través de los mecanismos de seguridad que constituyen las herramientas para la protección del sistema. Estos mecanismos de seguridad se apoyan en normativas más específicas y se dividen en tres grupos:
1. Prevención: mantener clara la política de seguridad, sin desviaciones. Normalmente se suele utilizar el cifrado en la transmisión de la información evita que un posible atacante capture (y entienda) información en un sistema de red.
1. Detección: Con la monitorización constante se detectan las desviaciones si se producen, violaciones o intentos de violación de la seguridad del sistema. Herramientas como Tripwire se usan para la seguridad de los archivos.
1. Recuperación: cuando se ha detectado una violación de la seguridad del sistema para recuperar su normal funcionamiento. Aquí tenemos las las copias de seguridad.

Además de los mecanismos de seguridad, utilizados los mecanismos de prevención para evitarlos fallos de seguridad antes de que ocurran, a diferencia de los mecanismos de seguridad anteriores.
* Mecanismos de identificación e autenticación: comprueba que las entidades del sistema realmente son quienes dicen ser. Los sistemas de identificación y autenticación de los usuarios son los mecanismos más utilizados.
* Mecanismos de control de acceso: establecen los tipos de acceso al sistema por parte de cualquier entidad del este.
* Mecanismos de separación: Dividiendo el sistema en diferentes niveles de seguridad se se implementar mecanismos en cada uno de ellos que permitan separar los objetos dentro de cada nivel.
* Mecanismos de seguridad en las comunicaciones: Integridad y privacidad (proteccion de los datos e información) cuando viaja por la red. Hay protocolos seguros como SSH o Kerberos, que cifran el tráfico por la red.

De forma ya más específica podemos aplicar herramientas y métodos para controlar las vulnerabilidad y amenazas de nuestro sistema informático.

Para controlar las vulnerabilidades en entornos Linux/Unix se suele utilizar Nessus, un cliente-servidor OpenSource que dispone de una BD de patrones de ataques para lanzar a nuestro sistema y hacer un informe de los resultados, de esta forma conocemos las vulnerabilidades de nuestro sistema.

También Hay software comercial como Catbird que analiza externa e internamente la red y monitoriza servicios propios de red así como los portales web del sistema en el cual se ha implementado.

Para eliminar las vulnerabilidades y protegernos de las amenazas podremos directamente aplicar mecanismos de defensa que eliminen las vulnerabilidades o reduzcan el impacto en caso de un fallo de seguridad.

Por otro lado para controlar las amenazas físicas es necesario Tener controlado el ambiente y acceso físico de forma que se disminuyan posible siniestros, se trabaje mejor manteniendo la sensación de seguridad, se descarten falsas hipótesis ante incidentes y tener los medios para actuar frente a los accidentes.
